Package ru.bitel.bgbilling.modules.softkey.server.bean

# Class SoftkeyTransactionManager

java.lang.Object
ru.bitel.bgbilling.modules.softkey.server.bean.SoftkeyTransactionManager

public class SoftkeyTransactionManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftkeyTransactionManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addProduct(SoftkeyProduct product)`
  Добавление продукта в БД
  `void`
  `addTransaction(SoftkeyTransaction transaction)`
  Добавление подписки в БД
  `void`
  `deleteProducts()`
  Удаление всех продуктов из БД
  `SoftkeyProduct`
  `getProductByOptionId(int optionId)`
  Получение пролдукта по его коду
  `List<SoftkeyProduct>`
  `getProductList()`
  Получене списка доступных для подписки продуктов
  `SoftkeyTransaction`
  `getTransactionByCid(int contractId, int optionId)`
  Получение подписки по коду договора и по коду подписки
  `SoftkeyTransaction`
  `getTransactionById(int transactionId)`
  Получение подписки по ее коду
  `SoftkeyTransaction`
  `getTransactionByOrderId(int orderId)`
  Получение подписки по коду заказа в системе Софткей
  `List<SoftkeyTransaction>`
  `getTransactionlist(String contractTitle, int status, Date fromDate, Date toDate)`
  Получение списка подписок за определенный период, с определенным статусом, по определенному договору
  `List<SoftkeyTransactionLog>`
  `getTransactionLog(int transactionId)`
  Получение лога подписки по ее коду
  `void`
  `updateTransaction(SoftkeyTransaction transaction)`
  Обновление данных подписки в БД

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoftkeyTransactionManager

    public SoftkeyTransactionManager(Connection con, int mid)

- ## Method Details

  - ### getTransactionlist

    public List<SoftkeyTransaction> getTransactionlist(String contractTitle, int status, Date fromDate, Date toDate) throws ru.bitel.bgbilling.common.BGException
    Получение списка подписок за определенный период, с определенным статусом, по определенному договору
    Parameters:
      `contractTitle` - название договора
      `status` - статус подписки
      `fromDate` - от какого числа искать подписку
      `toDate` - по какое число искать подписку
    Returns:
      если параметры не заданы, то возвращается полный список подписок
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransactionById

    public SoftkeyTransaction getTransactionById(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Получение подписки по ее коду
    Parameters:
      `transactionId` - код подписки
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransactionByCid

    public SoftkeyTransaction getTransactionByCid(int contractId, int optionId) throws ru.bitel.bgbilling.common.BGException
    Получение подписки по коду договора и по коду подписки
    Parameters:
      `contractId` - код договора
      `optionId` - код подписки
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransactionByOrderId

    public SoftkeyTransaction getTransactionByOrderId(int orderId) throws ru.bitel.bgbilling.common.BGException
    Получение подписки по коду заказа в системе Софткей
    Parameters:
      `orderId` - код заказа
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addTransaction

    public void addTransaction(SoftkeyTransaction transaction) throws ru.bitel.bgbilling.common.BGException
    Добавление подписки в БД
    Parameters:
      `transaction` - подписка
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateTransaction

    public void updateTransaction(SoftkeyTransaction transaction) throws ru.bitel.bgbilling.common.BGException
    Обновление данных подписки в БД
    Parameters:
      `transaction` - подписка
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransactionLog

    public List<SoftkeyTransactionLog> getTransactionLog(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Получение лога подписки по ее коду
    Parameters:
      `transactionId` - код подписки
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductList

    public List<SoftkeyProduct> getProductList() throws ru.bitel.bgbilling.common.BGException
    Получене списка доступных для подписки продуктов
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductByOptionId

    public SoftkeyProduct getProductByOptionId(int optionId) throws ru.bitel.bgbilling.common.BGException
    Получение пролдукта по его коду
    Parameters:
      `optionId` - код продукта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addProduct

    public void addProduct(SoftkeyProduct product) throws ru.bitel.bgbilling.common.BGException
    Добавление продукта в БД
    Parameters:
      `product` - продукт
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteProducts

    public void deleteProducts() throws ru.bitel.bgbilling.common.BGException
    Удаление всех продуктов из БД
    Throws:
      `ru.bitel.bgbilling.common.BGException`